7.2.1 install crashes on opensuse 11.1/kde4.2

Hello,
trying to install a kdenlive 7.2.1 on opensuse 11.1 64bit and kde 4.2 results in
a crash. The installation starts with the welcome dialog, checks
the MLT engine (inigo, avfomat module, dv module and qimage are checked and
seems to be ok), although under "Available Codecs(avformat)" all columns are empty.
Next I can choose the video standard (I'm using DV PAL WIdescreen) and then the
default folder. After that's done "Checking system" displays a list of software
packages (ffmpeg & fplay, Recordmydesktop, Dvgrab, Dvdauthor, Mkisofs) which are all
checked and ok. Hitting noq "Finish" results in short list of messages on the
konsole from where I started kdenlive:

---------------------------------------
kdenlive(843) MainWindow::parseProfiles: RESULTINGÂ MLT PATH: "/usr/share/mlt/profiles/"
kdenlive(843) initEffects::parseEffectFiles: // INIT EFFECT SEARCH
kdenlive(843) Wizard::checkMltComponents: // FOUND MLT's pkgconfig version: 0
kdenlive(843) Wizard::installExtraMimes: EXTS: ("*.mpe", "*.mpeg", "*.mod", "*.vob", "*.mpg", "*.mp2", "*.ts", "*.mts", "*.m2t")
kdenlive(843) Wizard::installExtraMimes: INSTALLING NEW MIME TO: "/root/.local/share/mime/packages/video-mpeg.xml"
kdenlive(843) Wizard::installExtraMimes: EXTS: ("*.dv")
kdenlive(843) Wizard::installExtraMimes: INSTALLING NEW MIME TO: "/root/.local/share/mime/packages/video-dv.xml"
Unknown media type in type 'unknown/mime-type'

kdenlive(843) Render::Render: ////////// USINGÂ PROFILE: hdv_1080_50i
kdenlive(843) Monitor::Monitor: /////// BUILDING MONITOR, ID: 85991568
kdenlive(843) Render::Render: ////////// USINGÂ PROFILE: hdv_1080_50i
kdenlive(843) Monitor::Monitor: /////// BUILDING MONITOR, ID: 85991674
kdenlive(843) RecMonitor::RecMonitor: /////// BUILDING MONITOR, ID: 85991721
QStatusBar::insertPermanentWidget: Index out of range (5), appending widget
QStatusBar::insertPermanentWidget: Index out of range (7), appending widget
kdenlive(843): Shortcut for KAction "monitor_play_zone" "Play Zone" set with QShortcut::setShortcut()! See KAction documentation.
kdenlive(843): Shortcut for KAction "monitor_loop_zone" "Loop Zone" set with QShortcut::setShortcut()! See KAction documentation.
kdenlive(843) MainWindow::loadPlugins: // PARSING FIOLER: "/usr/lib64/kde4/"
kdenlive(843) MainWindow::loadPlugins: // FOUND PLUGIN: "libkdenlive_sampleplugin.so" = "/usr/lib64/kde4/libkdenlive_sampleplugin.so"
kdenlive(843) MainWindow::addToMenu: // ADD to MENU ("Countdown", "Noise")
kdenlive(843) KdenliveDoc::setProfilePath: KDEnnlive document, init timecode from path: "dv_ntsc" , 29.97
kdenlive(843) KdenliveDoc::KdenliveDoc: KDEnlive document, init timecode: 29.97
kdenlive(843) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 4 , DURATION: 0
kdenlive(843) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 3 , DURATION: 0
kdenlive(843) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 2 , DURATION: 0
kdenlive(843) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 1 , DURATION: 0
kdenlive(843) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 0 , DURATION: 0
kdenlive(843) TrackView::parseDocument: /////////// TOTAL PROJECT DURATION: 300
kdenlive(843) Render::setSceneList: // NEW SCENE LIST DURATION SET TO: 0
KCrash: Application 'kdenlive' crashing...
sock_file=/root/.kde4/socket-dgt/kdeinit4__0
kdenlive: Fatal IO error: client killed
---------------------------------------

and a segmentation violation (KDE Crash HAndler)
Backtrace:
---------------------------------------
Application: Kdenlive (kdenlive), signal SIGSEGV
0x00007fecd2ebdce1 in nanosleep () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7fecd994f750 (LWP 843))]

Thread 4 (Thread 0x7fecc00bb950 (LWP 850)):
#0 0x00007fecd2ee8662 in select () from /lib64/libc.so.6
#1 0x00007fecd8b71366 in ?? () from /usr/lib64/libQtCore.so.4
#2 0x00007fecd8aa8f72 in ?? () from /usr/lib64/libQtCore.so.4
#3 0x00007fecd8835070 in start_thread () from /lib64/libpthread.so.0
#4 0x00007fecd2eef10d in clone () from /lib64/libc.so.6
#5 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fecbf6af950 (LWP 1996)):
#0 0x00007fecd2ee8662 in select () from /lib64/libc.so.6
#1 0x00007fecd0ae0a48 in ?? () from /usr/lib64/libxcb.so.1
#2 0x00007fecd0ae2265 in xcb_wait_for_reply () from /usr/lib64/libxcb.so.1
#3 0x00007fecd7cc3ace in _XReply () from /usr/lib64/libX11.so.6
#4 0x00007fecd7cb7593 in XSync () from /usr/lib64/libX11.so.6
#5 0x00007fecc9f65e5c in ?? () from /usr/lib64/libSDL-1.2.so.0
#6 0x00007fecc9f57b0b in SDL_LockSurface () from /usr/lib64/libSDL-1.2.so.0
#7 0x00007fecca1ca870 in ?? () from /usr/lib64/mlt/libmltsdl.so
#8 0x00007fecca1cb227 in ?? () from /usr/lib64/mlt/libmltsdl.so
#9 0x00007fecd8835070 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fecd2eef10d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fecbe4bc950 (LWP 1997)):
#0 0x00007fecd8838d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1 0x00007fecca1c9f2b in ?? () from /usr/lib64/mlt/libmltsdl.so
#2 0x00007fecd8835070 in start_thread () from /lib64/libpthread.so.0
#3 0x00007fecd2eef10d in clone () from /lib64/libc.so.6
#4 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fecd994f750 (LWP 843)):
[KCrash Handler]
#5 0x00007fecd956c5de in mlt_properties_get_data () from /usr/lib64/libmlt.so.1
#6 0x00007fecd935403e in Mlt::Tractor::count() () from /usr/lib64/libmlt++.so.1
#7 0x00000000004b19eb in Render::fillSlowMotionProducers() ()
#8 0x00000000004cfba2 in Render::setSceneList(QString, int) ()
#9 0x00000000004e3138 in KdenliveDoc::setSceneList() ()
#10 0x000000000050a1a4 in TrackView::TrackView(KdenliveDoc*, QWidget*) ()
#11 0x00000000004879b2 in MainWindow::newFile(bool) ()
#12 0x000000000048b101 in MainWindow::MainWindow(QString const&, KUrl const&, QWidget*) ()
#13 0x00000000004726c9 in main ()
---------------------------------------
MLT version is mlt-0.3.6-0.pm.1

I tried then to use the Builder wizzard on
http://www.kdenlive.org/user-manual/downloading-and-installing-packages/...
no success, the pages does not exist.

Any hopes to get it running this weekend or should I go back to 0.7.1 ?

Greetings
Juergen

Hello Juergen,

I managed to install kdenlive 7.2.1 with the Builder Wizard under openSUSE 11.1/KDE-4.2 just fine, however, I'm on 32-bit, not 64-bit, so it might be a 64-bit issue with one of the components...

The correct url for the wizard is www.kdenlive.org/user-manual/downloading-and-installing-kdenlive/builder-wizard.

I'd recommend following Weevil's howto: forums.opensuse.org/how-faq-read-only/unreviewed-how-faq/403782-kdenlive-0-7-1-svn-installation-howto-opensuse-11-1-a.html#post1920346.

Make sure the 'Packman' repository is added. Also run a 'zypper up' (upgrade) directly after installation, because there is a bug in yast2-bootloader that can render your pc unbootable ('no OS') if you change things with yast2 in the boot loader configuration. The update fixes that. On my laptop I had no luck getting wireless to work with the standard kde4 network manager applet: so the install I did with an ethernet cable (eth0) and then installed knetworkmanager ('zypper in NetworkManager-kde') which worked just fine (has WPA, too).

Before installing the wizard, I deviated from Weevil's howto and installed a longer list of packages (trying to follow the 'required libraries' and other components mentioned on this site as much as possible):

# zypper in libqt4-devel libkde4-devel kdelibs4 SDL-devel SDL_image-devel    \
            SDL_Pango SDL_Pango-devel libxml2 libxml2-devel recordmydesktop  \
            dvgrab libdv libdv-devel MPlayer x264 libx264-devel libtheora0   \
            libtheora-devel libxvidcore4 libxvidcore-devel libogg0           \
            libogg-devel libvorbis libvorbis-devel libschroedinger-1_0-0     \
            libschroedinger-devel schroedinger-devel dirac libdirac0         \
            libdirac-devel lame lame-mp3x twolame libmp3lame0                \
            libmp3lame-devel libtwolame0 libtwolame-devel libquicktime       \
            libquicktime-devel faac libfaac0 libfaac-devel faad2 libfaad0    \
            libfaad-devel libgsm1 libgsm-devel libamrnb3 libamrnb-devel      \
            libamrwb3 libamrwb-devel libsamplerate libsamplerate-devel jack  \
            libjack0 libjack-devel libjackasyn libjackasyn-devel sox         \
            sox-devel ladspa ladspa-devel ladspa-\*-plugin ladspa-\*-plugins \
            libmad0 libmad-devel frei0r-plugins gdk-pixbuf gdk-pixbuf-devel  \
            pango pango-devel yasm yasm-devel soprano libsoprano4            \
            libsoprano-devel libraw1394-devel kdebase4 kommander make cmake  \
            dvgrab kdesvn gcc gcc-c++ libswscale0 gtk2-devel                 \
            libqimageblitz-devel                                             \
            dvdauthor qdvdauthor qdvdauthor-dv2sub MPlayer
#_

During the installation and repository additions you need to import keys a few times. I also advise to log out and log in now and again, because kde4 seems to be sloppy w/r to updating the menu structure under the K button.

I then installed and ran the builder wizard with:

$ cd ~ && mkdir -v src kdenlive capture

$ cd ~/kdenlive && {
      wget http://www.kde-apps.org/CONTENT/content-files/85826-kdenlive_builder_wiz...
      bzip2 -d 85826-kdenlive_builder_wizard.kmdr.bz2
      chmod +x 85826-kdenlive_builder_wizard.kmdr
      kmdr-executor 85826-kdenlive_builder_wizard.kmd
  }
$_

  • Download / update sources, compile and install

  • Use newest, Clean existing sources before updating

  • Advanced >>

Ffmpeg options

[X] Theora support   [X] AAC support

[X] MP3 support

Mlt options

[ ] Disable sox support

QImage Lib dir: /usr/lib

QImage include dir: /usr/include

  • Go, Close

And then I successfully ran kdenlive with:

$ ~/kdenlive/bin/kdenlive_start &

$_

I hope this may help, good luck

Hello e.maryniak,
thanks a lot for your answer.
I'm going to follow your hints today and come
back to report (hopefully!!) success
Ciao
J.

Hello,

thanks a lot for your help - but I'm giving up.
I did not manage to get svn trough the proxy (yes, I followed
all the hints to do so - they did not work for me) and
so the Kommander script refused to work.

I'm trying to get back 0.7.1 and try to do the work
instead of patching the tools.

Thanks again

Bye

Juergen

Hello,
finally I succeeded. It's a pity that I can not tell
how because my system now hosts a wild mix of self
compiled libs, progs and binary packages.
After all I was looking around and looked at the packman site
at http://packman.links2linux.de/package/kde4-kdenlive/85511
and hit the 1-click install button - and it works :-))

Ciao
Juergen